<?php

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

define( 'DEEP_CORE_DIR', DEEP_DIR . '/inc/core/' );
define( 'DEEP_CORE_URL', DEEP_URL . '/inc/core/' );

/**
 * Load admin/frontend files.
 *
 * @since   1.0.0
 */
if ( is_admin() ) {
	require_once DEEP_CORE_DIR . 'admin/class-setup-wizard.php';
	require_once DEEP_CORE_DIR . 'admin/dashboard/webnus-admin.php';
}
require_once ABSPATH . 'wp-admin/includes/plugin.php';

function deepcore_files_include() {
	require_once DEEP_CORE_DIR . 'helper-classes/breadcrumbs.php';
	require_once DEEP_CORE_DIR . 'helper-classes/cat-field.php';
	require_once DEEP_CORE_DIR . 'helper-classes/show-ids.php';
	require_once DEEP_CORE_DIR . 'helper-classes/get-the-image.php';
	require_once DEEP_CORE_DIR . 'helper-classes/blog-helper.php';
	require_once DEEP_CORE_DIR . 'helper-classes/wn-like.php';
	require_once DEEP_CORE_DIR . 'admin/meta-box/meta-box-core/meta-box.php';
	require_once DEEP_CORE_DIR . 'admin/meta-box/meta-box-config.php';
	require_once DEEP_CORE_DIR . 'admin/header-builder/webnus-header-builder.php';
	require_once DEEP_CORE_DIR . 'admin/theme-options/ReduxCore/framework.php';
	require_once DEEP_CORE_DIR . 'admin/theme-options/theme-options-config.php';
	require_once DEEP_CORE_DIR . 'dynamicfiles/dyncss.php';
	require_once DEEP_CORE_DIR . 'functions/functions-helper.php';
	require_once DEEP_CORE_DIR . 'functions/functions-general.php';
	require_once DEEP_CORE_DIR . 'functions/frontend.php';
	require_once DEEP_CORE_DIR . 'functions/functions-content.php';
	require_once DEEP_CORE_DIR . 'navigation/navigation.php';
	require_once DEEP_CORE_DIR . 'navigation/mega-menu-post-type.php';
	require_once DEEP_CORE_DIR . 'footer-builder/footer-builder-post-type.php';
	require_once DEEP_CORE_DIR . 'widgets/widgets-init.php';
	require_once DEEP_CORE_DIR . 'hotella-core/hotella-core.php';
	require_once DEEP_CORE_DIR . 'webnus-core/webnus-core.php';
	require_once DEEP_CORE_DIR . 'visualcomposer/init.php';
	require_once DEEP_CORE_DIR . 'kingcomposer/init.php';
	require_once DEEP_CORE_DIR . 'buddypress/bp-integration.php';
	require_once DEEP_CORE_DIR . 'importer/config/setup.php';
	require_once DEEP_INCLUDES_DIR . 'templates/single-templates/single-templates.php';

	if ( is_plugin_active( 'lifterlms/lifterlms.php' ) ) {
		include_once DEEP_CORE_DIR . 'michigan-core/michigan-core.php';
	}
	if ( is_plugin_active( 'js_composer/js_composer.php' ) ) {
		include_once DEEP_CORE_DIR . 'sections-templates/vc/class-vc-templates.php';
	}
	
	add_action(
		'after_setup_theme',
		function() {
			require_once DEEP_CORE_DIR . 'elementor/elementor-integration.php';
			if ( ! is_admin() ) {
				require_once DEEP_CORE_DIR . 'functions/frontend.php';
				load_webnus_woocommerce();
			}
		}
	);
}
add_action( 'plugins_loaded', 'deepcore_files_include' );
